Create a new enterprise registration draft
curl --request POST \
--url https://api.lumisreach.com/v1/caller-trust/enterprises \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legal_name": "<string>",
"dba": "<string>",
"country_code": "US",
"website": "<string>",
"fein": "<string>",
"organization_contact": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"job_title": "<string>",
"phone": "<string>"
},
"billing_contact": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>"
},
"organization_address": {
"country": "<string>",
"administrative_area": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_address": "<string>",
"extended_address": "<string>"
},
"billing_address": {
"country": "<string>",
"administrative_area": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_address": "<string>",
"extended_address": "<string>"
}
}
'import requests
url = "https://api.lumisreach.com/v1/caller-trust/enterprises"
payload = {
"legal_name": "<string>",
"dba": "<string>",
"country_code": "US",
"website": "<string>",
"fein": "<string>",
"organization_contact": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"job_title": "<string>",
"phone": "<string>"
},
"billing_contact": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>"
},
"organization_address": {
"country": "<string>",
"administrative_area": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_address": "<string>",
"extended_address": "<string>"
},
"billing_address": {
"country": "<string>",
"administrative_area": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_address": "<string>",
"extended_address": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legal_name: '<string>',
dba: '<string>',
country_code: 'US',
website: '<string>',
fein: '<string>',
organization_contact: {
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
job_title: '<string>',
phone: '<string>'
},
billing_contact: {
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone_number: '<string>'
},
organization_address: {
country: '<string>',
administrative_area: '<string>',
city: '<string>',
postal_code: '<string>',
street_address: '<string>',
extended_address: '<string>'
},
billing_address: {
country: '<string>',
administrative_area: '<string>',
city: '<string>',
postal_code: '<string>',
street_address: '<string>',
extended_address: '<string>'
}
})
};
fetch('https://api.lumisreach.com/v1/caller-trust/enterprises', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"status": "<string>",
"role_type": "<string>",
"created_at": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Enterprise Registration
Create a new enterprise registration draft
Always creates a new DRAFT enterprise registration (never upserts). Multiple enterprises per account are supported. No carrier-side calls are made here — submission to Telnyx happens via the sign-and-submit endpoint.
POST
/
v1
/
caller-trust
/
enterprises
Create a new enterprise registration draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Required string length:
3 - 64Required string length:
1 - 255Available options:
COMMERCIAL, GOVERNMENT, NON_PROFIT Required string length:
2Required string length:
1 - 255Required string length:
9 - 20Available options:
accounting, finance, billing, collections, business, charity, nonprofit, communications, telecom, customer service, support, delivery, shipping, logistics, education, financial, banking, government, public, healthcare, health, pharmacy, medical, insurance, legal, law, notifications, scheduling, real estate, property, retail, ecommerce, sales, marketing, software, technology, tech, media, surveys, market research, travel, hospitality, hotel Available options:
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, AS, GU, MP, PR, VI Available options:
SIZE_1_10, SIZE_11_50, SIZE_51_200, SIZE_201_500, SIZE_501_2000, SIZE_2001_10000, SIZE_10001_PLUS Available options:
CORPORATION, LLC, PARTNERSHIP, NONPROFIT, OTHER Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I